#!/usr/local/bin/python

import mpfc

def proc1(n):
	n.setProperty("labelString","hello")
mpfc.WSGFfunctionRegister("proc1",proc1)


mpfc.WSGFdeviceInitialize()
app = mpfc.WSGIappDev()
mpfc.WSGFwsInitialize()

newwin000 = mpfc.WSCmainWindow(None,"newwin000")
newwin000.initialize()
newwin000.setProperty("height",40)
newwin000.setVisible(1)

vbtn_000 = mpfc.WSCvbtn(newwin000,"newwin000")
vbtn_000.initialize()
vbtn_000.setProperty("labelString","test")
vbtn_000.setProperty("x",10)
vbtn_000.setProperty("y",10)
vbtn_000.setProperty("width",80)
vbtn_000.setProperty("height",20)
vbtn_000.setVisible(1)
vbtn_000.addProcedure("event proc","proc1",2)


app.handleEvents()

